Skip to main content
API referenceOperations

Freshness

Last updated

GET
/api/v1/freshness

Fetch freshness and staleness state.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/freshness"
{  "data": {    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "notes": "Example description.",    "schema_version": 1,    "sources": [      {        "as_of": "example",        "id": "example",        "lane": "adapter-snapshot",        "path": "example",        "required_for_publish": true,        "stale_after_hours": 1,        "stale_behavior": "block",        "status": "captured",        "timestamp": "example",        "timestamp_field": "example"      }    ],    "summary": {      "adapter_count": 1,      "adapter_snapshot_as_of": "example",      "blocking_source_count": 5000000,      "candidate_discovery_as_of": "example",      "health_probe_as_of": "example",      "health_surface_count": 1,      "missing_blocking_source_count": 5000000,      "native_data_as_of": "example",      "native_snapshot_captured_at": "2026-06-01T00:00:00.000Z",      "openapi_surface_count": 1,      "operational_probe_as_of": "example",      "publish_ready_without_age_check": false,      "schema_snapshot_as_of": "example",      "stale_window_warnings": [        "30d"      ],      "verification_as_of": "example",      "verification_generated_at": "2026-06-01T00:00:00.000Z",      "warning_source_count": 1    }  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}